## orocos-kdl 1.3.0%2Bdfsg

=== debian/changelog ===
orocos-kdl (1.3.0+dfsg-1) unstable; urgency=low

  [ Leopold Palomo-Avellaneda ]
  * Initial release. Closes: #783109

 -- Riku Voipio <riku.voipio@linaro.org>  Wed, 11 Nov 2015 14:57:16 +0200
