=== debian/control ===
Source: orocos-kdl
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Riku Voipio <riku.voipio@linaro.org>
Build-Depends: debhelper (>= 9), cmake (>=2.6.0), pkg-config, libeigen3-dev
Standards-Version: 3.9.6
Section: libs
Homepage: http://www.orocos.org/kdl
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/orocos/orocos-kdl.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/orocos/orocos-kdl.git

Package: liborocos-kdl-dev
Section: libdevel
Architecture: any
Depends: liborocos-kdl1.3 (= ${binary:Version}), ${misc:Depends}
Description: Kinematics and Dynamics Library development files
 Orocos project to supply RealTime usable kinematics and dynamics code,
 it contains code for rigid body kinematics calculations and
 representations for kinematic structures and their inverse and forward
 kinematic solvers. This package contains the development files
 of the library.

Package: liborocos-kdl1.3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Kinematics and Dynamics Library runtime
 Orocos project to supply RealTime usable kinematics and dynamics code,
 it contains code for rigid body kinematics calculations and
 representations for kinematic structures and their inverse and forward
 kinematic solvers. This package contains the library itself.
