=== debian/watch ===
# Watch control file for uscan
version=3
#opts="uversionmangle=s/(\d)[_.+-]?((RC|rc|pre|dev|beta|alpha)[\d.]*)$/$1~$2+dfsg/" \
opts=uversionmangle=s/$/+dfsg/ \
https://github.com/orocos/orocos_kinematics_dynamics/releases .*/v(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
