=== debian/changelog ===
orocos-kdl (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Added patch to correct version number
  * Bumped Standards-Version to 3.9.8. No changes
  * Update VCS-* fields to avoid uses-insecure-uri
  * Solve dversionmangle confusion

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 28 Jun 2016 08:26:31 +0200
