=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Riku Voipio <riku.voipio@linaro.org>
 Build-Depends: debhelper (>= 9), cmake (>=2.6.0), pkg-config, libeigen3-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://www.orocos.org/kdl
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/orocos/orocos-kdl.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/orocos/orocos-kdl.git
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/orocos/orocos-kdl.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/orocos/orocos-kdl.git
 
 Package: liborocos-kdl-dev
 Section: libdevel
