=== orocos_kinematics_dynamics/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(orocos_kinematics_dynamics)
find_package(catkin REQUIRED)
catkin_metapackage()
