=== debian/changelog ===
orocos-kdl (1.4.0-7ubuntu1) focal; urgency=medium

  * Add patch for python3 std string conversion (LP: #1871725)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 09 Apr 2020 18:46:55 +0200

orocos-kdl (1.4.0-7build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:22:18 +0100

orocos-kdl (1.4.0-7build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:37:51 +0000

orocos-kdl (1.4.0-7) unstable; urgency=medium

  * Add missing dependency (Closes: #913803)
  * Fix typo in changelog

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 19 Nov 2018 22:31:27 +0100

orocos-kdl (1.4.0-6) unstable; urgency=medium

  * Team upload.
  * Do not build-depend on all support python(3) versions, since the build
    system only builds for the default one.
  * Mark liborocos-kdl-dev and python3-pykdl as Multi-Arch:same
    (from the m-a hinter).
  * Remove obsolete DEB_EXPORT_BUILDFLAGS from d/rules, covered by dh nowadays.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 27 Sep 2018 13:48:52 +0200

orocos-kdl (1.4.0-5) unstable; urgency=medium

  [ Johannes 'josch' Schauer ]
  * add autopkgtest
  * add missing dependency of liborocos-kdl-dev on libeigen3-dev
  * debian/tests/compilation: Don't forget to add include directories

  [ Jochen Sprickerhof ]
  * Fix in tree compilation patch (Closes: #907827)
  * Bump policy version (no changes)
  * Fix pkgconfig path
  * http -> https

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 14 Sep 2018 08:38:57 +0200

orocos-kdl (1.4.0-4) unstable; urgency=medium

  * Add patch to fix the cmake files (Closes: #898883)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 May 2018 18:36:18 +0200

orocos-kdl (1.4.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 May 2018 13:02:18 +0200

orocos-kdl (1.4.0-2) experimental; urgency=medium

  * Update watch file
  * Don't exclude files anymore
  * New upstream version 1.4.0
  * Update copyright
  * Rebase patches
  * Adopt to Soname bump
  * Bump policy and debhelper versions
  * Add R³
  * Update Vcs URLs to salsa.d.o
  * Add myself to uploaders
  * Add python3-pykdl package

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 23 Apr 2018 20:59:11 +0200
