=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%orocos-kdl-$1.tar.gz%" \
    https://github.com/orocos/orocos_kinematics_dynamics/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
