=== debian/changelog ===
orocos-kdl (1.5.1-4build4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:31:19 +0000

orocos-kdl (1.5.1-4build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:37:15 +0000

orocos-kdl (1.5.1-4build2) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:01:59 +0100

orocos-kdl (1.5.1-4build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 11:14:22 +0000

orocos-kdl (1.5.1-4) unstable; urgency=medium

  * Drop unused sip dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 09 Jan 2024 20:55:34 +0100

orocos-kdl (1.5.1-3) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Update autopkgtest
  * Remove Riku from uploaders (thanks for your work!) (Closes: #1001565)
  * Use find_package(pybind11 CONFIG)
    Thanks to v4hn
  * Add upstream source
  * Bump policy version (no changes)

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 06 Jul 2023 12:41:13 +0200

orocos-kdl (1.5.1-2) unstable; urgency=medium

  * upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 10 Oct 2021 22:41:48 +0200

orocos-kdl (1.5.1-1) experimental; urgency=medium

  * New upstream version 1.5.1
  * Update copyright
  * Rebase patches
  * drop gitlab-ci
  * bump policy version (no changes)
  * Rename library package due to Soname bump
  * Use multi-arch dirs

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 07 Oct 2021 15:14:58 +0200

orocos-kdl (1.4.0-11) unstable; urgency=medium

  * Add patch for include path

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 11 Sep 2020 09:10:53 +0200

orocos-kdl (1.4.0-10) unstable; urgency=medium

  * Drop as-needed, done by default
  * Add patch for sip 4.19.23 (Closes: #963296)
  * bump debhelper version

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 26 Jun 2020 17:28:06 +0200

orocos-kdl (1.4.0-9) unstable; urgency=medium

  * add Salsa CI
  * Add patch for python3 std string conversion (Closes: #956254)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 09 Apr 2020 16:36:15 +0200

orocos-kdl (1.4.0-8) unstable; urgency=medium

  * Support multiple Python version
  * bump policy and debhelper versions (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 06 Apr 2020 19:36:52 +0200
